com.unitech.lib.util.diagnotics

## Class BitConvert

- java.lang.Object
- - com.unitech.lib.util.diagnotics.BitConvert

-     public class BitConvert
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BitConvert()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `HostToMac16(short x)`
    `static int` | `HostToMac32(int x)`
    `static boolean` | `isNullOrEmpty(byte[] data)`
    `static int` | `MacToHost16(short x)`
    `static int` | `MacToHost32(int x)`
    `static boolean` | `toBoolean(byte[] data)`
    `static byte[]` | `toBytes(boolean enabled)`
    `static byte[]` | `toBytes(int value)`
    `static byte[]` | `toBytes(long value)`
    `static byte[]` | `toBytes(java.lang.String value)`
    `static int` | `toInteger(byte[] data)`
    `static int` | `toInteger(byte[] data, int radix)`
    `static int` | `toInteger(byte[] data, int offset, int length)`
    `static int` | `toInteger(byte[] data, int offset, int length, int radix)`
    `static long` | `toLong(byte[] data)`
    `static long` | `toLong(byte[] data, int radix)`
    `static java.lang.String` | `toRawString(byte[] data)`
    `static java.lang.String` | `toRawString(byte[] data, int offset, int length)`
    `static short` | `toShort(byte[] data)`
    `static short` | `toShort(byte[] data, int radix)`
    `static short` | `toShort(byte[] data, int offset, int length)`
    `static short` | `toShort(byte[] data, int offset, int length, int radix)`
    `static java.lang.String` | `toString(byte[] data)`
    `static java.lang.String` | `toString(byte[] data, int offset, int length)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BitConvert

          public BitConvert()

  - ### Method Detail

    - #### isNullOrEmpty

          public static boolean isNullOrEmpty(byte[] data)

    - #### toString

          public static java.lang.String toString(byte[] data)

    - #### toString

          public static java.lang.String toString(byte[] data,
                                                  int offset,
                                                  int length)

    - #### toRawString

          public static java.lang.String toRawString(byte[] data)

    - #### toRawString

          public static java.lang.String toRawString(byte[] data,
                                                     int offset,
                                                     int length)

    - #### toShort

          public static short toShort(byte[] data)

    - #### toShort

          public static short toShort(byte[] data,
                                      int offset,
                                      int length)

    - #### toShort

          public static short toShort(byte[] data,
                                      int radix)

    - #### toShort

          public static short toShort(byte[] data,
                                      int offset,
                                      int length,
                                      int radix)

    - #### toInteger

          public static int toInteger(byte[] data)

    - #### toInteger

          public static int toInteger(byte[] data,
                                      int offset,
                                      int length)

    - #### toInteger

          public static int toInteger(byte[] data,
                                      int radix)

    - #### toInteger

          public static int toInteger(byte[] data,
                                      int offset,
                                      int length,
                                      int radix)

    - #### toLong

          public static long toLong(byte[] data)

    - #### toLong

          public static long toLong(byte[] data,
                                    int radix)

    - #### toBoolean

          public static boolean toBoolean(byte[] data)

    - #### toBytes

          public static byte[] toBytes(java.lang.String value)

    - #### toBytes

          public static byte[] toBytes(int value)

    - #### toBytes

          public static byte[] toBytes(long value)

    - #### toBytes

          public static byte[] toBytes(boolean enabled)

    - #### MacToHost16

          public static int MacToHost16(short x)

    - #### MacToHost32

          public static int MacToHost32(int x)

    - #### HostToMac16

          public static int HostToMac16(short x)

    - #### HostToMac32

          public static int HostToMac32(int x)